Subject: Re: bug#23286: Unable to unlock xscreensaver in Xfce

From: Danny Milosavljevic <[email-masked]>
Date: Fri, 20 May 2016 20:28:48 +0200

On Fri, 20 May 2016 22:22:01 +0200
Albin <[email-masked]> wrote:

> Den Fri, 20 May 2016 19:48:49 +0200
> skrev Re: bug#23286: Unable to unlock xscreensaver in Xfce:
> 
> > On Fri, 20 May 2016 19:15:06 +0200
> > Albin <[email-masked]> wrote:
> >   
> > > >   ls -lL $(which xflock4)    
> > > The output from that is:
> > > 
> > > -r-xr-xr-x 10 root root 1536  1 jan 1970
> > > /run/current-system/profile/bin/xflock4
> > 
> > Add (screen-locker-service xfce4-session "xflock4") to your services
> > in your guix config file.
> > 
> > This means:
> > 
> > (operating-system
> >  ......
> >  (services (cons* (screen-locker-service xfce4-session "xflock4")
> > %desktop-services)))
> > 
> > Or add it to an existing "services" entry.  
> 
> When I try to reconfigure with this I get:
> 
> guix system: error: failed to load '/etc/config.scm':
> /etc/config.scm:56:19: In procedure #<procedure 3cf9820 ()>:
> /etc/config.scm:56:19: In procedure module-lookup: Unbound variable:
> xfce4-session

Extend use-package-modules so that it contains xfce:

(use-package-modules xfce .....)

If you have no "use-package-modules" form, it's supposed to go at the toplevel.

>Do you mean as a replacement for "screen-locker-service xscreensaver" or an additional service?

I don't think it makes a difference. It should support multiple instances just fine.